# traefik

[![Build Status](https://drone.autonomic.zone/api/badges/autonomic-cooperative/traefik/status.svg)](https://drone.autonomic.zone/autonomic-cooperative/traefik)

> https://docs.traefik.io/

> https://traefik.swarm.autonomic.zone

## Development

```bash
$ git clone https://git.autonomic.zone/autonomic-cooperative/traefik && cd traefik
$ python3 -m venv .venv && source .venv/bin/activate
$ pip install -U pip setuptools docker-compose
$ docker-compose up
```

Traefik dashboard:

> http://traefik.localhost

Test application:

> http://whoami.localhost

Also available via (testing routing of proxy):

```bash
$ curl -H Host:whoami.localhost http://127.0.0.1
```

## Production

1. Our [drone.autonomic.zone](https://drone.autonomic.zone/autonomic-cooperative/traefik/) configuration automatically deploys.
1. For a manual deploy guide, see [this documentation](https://git.autonomic.zone/autonomic-cooperative/organising/wiki/working-with-docker-swarm).
